Skip to content

Get Hourly Impacts

GET
/api/v1/projects/{project_id}/impacts/hourly
curl --request GET \
--url 'https://api.totalview.energy/api/v1/projects/example/impacts/hourly?limit=168&offset=0' \
--header 'Authorization: Bearer <token>'

Get hourly impact time-series data for visualization.

Queries TimescaleDB hypertable for fast time-series access. Falls back to RDS if TimescaleDB is unavailable.

Requires full results access.

project_id
required
Project Id
string
start_date
Any of:
string format: date-time

Start timestamp (inclusive)

end_date
Any of:
string format: date-time

End timestamp (inclusive)

limit
Limit

Max records to return (default 168 = 1 week)

integer
default: 168 >= 1 <= 52560

Max records to return (default 168 = 1 week)

offset
Offset

Number of records to skip

integer
0

Number of records to skip

Successful Response

Media type application/json
Example generated
example

Validation Error

Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Example generated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}